| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingComposite Class Reference
Utililty classes

The PendingComposite class is a PendingOperation that can be used to track multiple pending operations at once. More...

`#include <TelepathyQt/PendingComposite>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingComposite (const QList< PendingOperation * > &operations, const SharedPtr< RefCounted > &object)
- PendingComposite (const QList< PendingOperation * > &operations, bool failOnFirstError, const SharedPtr< RefCounted > &object)
- ~PendingComposite ()

## Detailed Description

The PendingComposite class is a PendingOperation that can be used to track multiple pending operations at once.

## Constructor & Destructor Documentation

Tp::PendingComposite::PendingComposite | ( | const QList< PendingOperation * > & | operations,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingComposite::PendingComposite | ( | const QList< PendingOperation * > & | operations,
|  | bool | failOnFirstError,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingComposite::~PendingComposite | ( |  | ) |